# norootforbuild

%define _prefix /usr

%if %suse_version >= 1010
%define _name		php5-pear-net_imap
%define _phpdir	php5
%define _peardir	PEAR
%define _pear		pear5
%else
%define _name		php4-pear-net_imap
%define _phpdir	php
%define _peardir	/
%define _pear		pear
%endif

Name:				%{_name}
Version:			1.0.3
Release:			1.3
Summary:			Provides an implementation of the IMAP4Rev1 protocol
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Net_IMAP/
Source0:			http://pear.php.net/get/Net_IMAP-%{version}.tgz
Patch0:			Net_IMAP-%{version}-return.diff
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if %suse_version >= 1010
Requires:		php5-pear
Requires:		php5-pear-net_socket
Requires:		php5-pear-auth_sasl
BuildRequires:	php5
BuildRequires:	php5-pear
%else
Requires:		php4-pear
Requires:		php4-pear-net_socket
Requires:		php4-pear-auth_sasl
BuildRequires:	php4
BuildRequires:	php4-pear
%endif

%description
Provides an implementation of the IMAP4Rev1 protocol using PEAR's Net_Socket
and the optional Auth_SASL class.


Authors:
--------
	Anish Mistry
	Damian Alejandro Fernandez Sosa

%prep
%setup -c
%patch0
%build

%install
%__mv package.xml Net_IMAP-%{version}
pushd Net_IMAP-%{version}
%{_pear} -v -d doc_dir=%{_docdir}/%{name} install --nodeps -R %{buildroot} package.xml
popd
%__rm -rf %{buildroot}%{_datadir}/%{_phpdir}/%{_peardir}/.{registry,filemap,lock,channels,depdb,depdblock}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{_phpdir}/%{_peardir}/Net/IMAP.php
%{_datadir}/%{_phpdir}/%{_peardir}/Net/IMAPProtocol.php
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_IMAP/docs/test_IMAP.php
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_IMAP/docs/test_IMAPProtocol.php

%changelog
* Sun Jun 18 2006 Marcus Hüwe <suse-tux@gmx.de>
- added patch0 (Net_IMAP-1.0.3-return.diff) otherwise it doesn't work
  correctly with turba. I hope this fix is correct :)
* Sat Jun 10 2006 Marcus Hüwe <suse-tux@gmx.de>
- make the spec file portable for suse other suse-versions
- adapt Name-tag to the "suse pear naming style"
* Mon Apr 17 2006 Marcus Hüwe <suse-tux@gmx.de>
- rebuild on 10.1
* Wed Mar 15 2006 Marcus Hüwe <suse-tux@gmx.de>
- initial build
